package org.fabric3.spi.scanner;

import java.io.File;

/**
 * Implementations create DeploymentResources for a given file
 *
 * @version $Rev: 714 $ $Date: 2007-08-15 04:12:13 +0100 (Wed, 15 Aug 2007) $
 */
public interface FileSystemResourceFactory {

    /**
     * Creates a deployment resource for the given file
     *
     * @param file the file to create the resource for
     * @return the deployment resource
     */
    FileSystemResource createResource(File file);

}
